/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\items\leviathan artifacts\watercityvendors\WaterVendorFarming.cs
Lines of code: 45
***********************************************************/


using System;
using System.Collections;
using Server;

namespace Server.Mobiles
{
	public class WaterVendorFarming: BaseVendor
	{
		private ArrayList m_SBInfos = new ArrayList();
		protected override ArrayList SBInfos{ get { return m_SBInfos; } }


		[Constructable]
		public WaterVendorFarming() : base( "the Submersian" )
		{
			Name = NameList.RandomName( "ladyofthesea" );
			SetSkill( SkillName.Lumberjacking, 68.0, 100.0 );
			SetSkill( SkillName.TasteID, 68.0, 100.0 );
			SetSkill( SkillName.Cooking, 68.0, 100.0 );
		
			BodyValue=266;
			Hue = 93;			
		}
		
		public override TimeSpan RestockDelay
		{
			get
			{
				return TimeSpan.FromMinutes( 10 );
			}
		}	
		
		public override void InitSBInfo()
		{
			m_SBInfos.Add( new SBFarming() );
		}

		public WaterVendorFarming( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}